跳转到主要内容
GET
/
trash
/
items
cURL
curl --request GET \
  --url 'https://app.teable.ai/api/trash/items?resourceId=SOME_STRING_VALUE&resourceType=SOME_STRING_VALUE&cursor=SOME_STRING_VALUE&pageSize=SOME_INTEGER_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "trashItems": [
    {
      "id": "<string>",
      "resourceId": "<string>",
      "resourceType": "space",
      "deletedTime": "<string>",
      "deletedBy": "<string>"
    }
  ],
  "userMap": {},
  "resourceMap": {},
  "nextCursor": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

resourceId
string
必填
resourceType
enum<string>
必填
可用选项:
base,
table
cursor
string | null
pageSize
integer
默认值:20
必填范围: 1 <= x <= 20

响应

200 - application/json

Get trash successfully

trashItems
object[]
必填
userMap
object
必填
resourceMap
object
必填
nextCursor
string | null
Last modified on March 5, 2026